# Class TCefX509CertPrincipalRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFX509CertPrincipal

## Declaration

`type TCefX509CertPrincipalRef = class(TCefBaseRefCountedRef, ICefX509CertPrincipal)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefX509CertPrincipalRef

## Overview

### Methods

| `function GetDisplayName: ustring;`
| `function GetCommonName: ustring;`
| `function GetLocalityName: ustring;`
| `function GetStateOrProvinceName: ustring;`
| `function GetCountryName: ustring;`
| `procedure GetOrganizationNames(const names: TStrings);`
| `procedure GetOrganizationUnitNames(const names: TStrings);`
| `class function UnWrap(data: Pointer): ICefX509CertPrincipal;`

## Description

### Methods

| `function GetDisplayName: ustring;`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetDisplayName. Returns a name that can be used to represent the issuer. It tries in this order: Common Name (CN), Organization Name (O) and Organizational Unit Name (OU) and returns the first non-NULL one found.

| `function GetCommonName: ustring;`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetCommonName. Returns the common name.

| `function GetLocalityName: ustring;`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetLocalityName. Returns the locality name.

| `function GetStateOrProvinceName: ustring;`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetStateOrProvinceName. Returns the state or province name.

| `function GetCountryName: ustring;`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetCountryName. Returns the country name.

| `procedure GetOrganizationNames(const names: TStrings);`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetOrganizationNames. Retrieve the list of organization names.

| `procedure GetOrganizationUnitNames(const names: TStrings);`
This item has no description. Showing description inherited from ICefX509CertPrincipal.GetOrganizationUnitNames. Retrieve the list of organization unit names.

| `class function UnWrap(data: Pointer): ICefX509CertPrincipal;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.